低危 _sctp_make_chunk() 函数允许拒绝服务

CVE编号

CVE-2018-5803

利用情况

暂无

补丁情况

官方补丁

披露时间

2018-06-13
漏洞描述
在4.15.8、4.14.25、4.9.87、4.4.121、4.1.51和3.2.102版本之前的Linux内核中,在处理SCTP数据包长度时,“_sctp_make_chunk()”函数(net/ SCTP /sm_make_chunk.c)中的一个错误可能会导致内核崩溃。

解决建议
目前厂商已经发布了升级补丁以修复此安全问题,补丁获取链接:
https://git.kernel.org/linus/07f2c7ab6f8d0a7e7c5764c4e6cc9c52951b9d9c
受影响软件情况
# 类型 厂商 产品 版本 影响面
1
运行在以下环境
应用 redhat virtualization_host 4.0 -
运行在以下环境
系统 debian debian_linux 7.0 -
运行在以下环境
系统 debian debian_linux 8.0 -
运行在以下环境
系统 debian debian_linux 9.0 -
运行在以下环境
系统 linux linux_kernel * Up to
(excluding)
3.2.102
运行在以下环境
系统 linux linux_kernel * From
(including)
3.3
Up to
(excluding)
4.1.51
运行在以下环境
系统 linux linux_kernel * From
(including)
4.10
Up to
(excluding)
4.14.25
运行在以下环境
系统 linux linux_kernel * From
(including)
4.15
Up to
(excluding)
4.15.8
运行在以下环境
系统 linux linux_kernel * From
(including)
4.3
Up to
(excluding)
4.9.87
运行在以下环境
系统 redhat enterprise_linux_desktop 7.0 -
运行在以下环境
系统 redhat enterprise_linux_server 7.0 -
运行在以下环境
系统 redhat enterprise_linux_workstation 7.0 -
运行在以下环境
系统 redhat_6 kernel * Up to
(excluding)
0:2.6.32-754.el6
运行在以下环境
系统 redhat_7 bpftool * Up to
(excluding)
0:3.10.0-957.el7
运行在以下环境
系统 redhat_7 kernel-rt * Up to
(excluding)
0:3.10.0-957.rt56.910.el7
运行在以下环境
系统 sles_12 kernel-default-extra * Up to
(excluding)
4.12.14-94.41
运行在以下环境
系统 ubuntu_14.04_lts linux * Up to
(excluding)
3.13.0-153.203
运行在以下环境
系统 ubuntu_16.04_lts linux * Up to
(excluding)
4.4.0-127.153
运行在以下环境
系统 ubuntu_18.04_lts linux * Up to
(excluding)
4.15.0-13.14
阿里云评分
2.6
  • 攻击路径
    本地
  • 攻击复杂度
    复杂
  • 权限要求
    普通权限
  • 影响范围
    有限影响
  • EXP成熟度
    未验证
  • 补丁情况
    官方补丁
  • 数据保密性
    无影响
  • 数据完整性
    无影响
  • 服务器危害
    无影响
  • 全网数量
    100
CWE-ID 漏洞类型
CWE-20 输入验证不恰当
阿里云安全产品覆盖情况